
#ifndef _MENUMANAGER_
#define _MENUMANAGER_

#include "Prometheus.h"
#include "Renderer.h"
#include "Profiles.h"
#include "drivers/button.h"

#define INSIDE_MENU 1
#define OUTSIDE_MENU 2

#define I18N_GER 0
#define I18N_EN  1

#define SENSOR_MAX_POWER_WHITE 0
#define SENSOR_POWER_WHITE 1
#define SENSOR_MAX_POWER_RED 2
#define SENSOR_POWER_RED 3
#define SENSOR_MAX_POWER_GREEN 4
#define SENSOR_POWER_GREEN 5
#define SENSOR_MAX_POWER_BLUE 6
#define SENSOR_POWER_BLUE 7
#define SENSOR_MAX_POWER_TOTAL 8
#define SENSOR_POWER_TOTAL 9
#define SENSOR_PH 10
#define SENSOR_WATER_TEMPERATURE 11
#define SENSOR_SYSTEM_TEMPERATURE 12
#define SENSOR_VOLTAGE_12V 13
#define SENSOR_VOLTAGE_3V 14
#define SENSOR_FLOWMETER 15

extern PGM_P* labels_menu_profiles [];
extern int8_t active_index;

uint8_t get_language(void);
uint8_t is_in_menu(void);
uint8_t processKeyInput(void);
void render_menuscreen(void);
void goto_next_menu(void);
void goto_previous_menu(void);
void go_up_within_menu(void);
void go_down_within_menu(void);
void clock_editor(uint8_t button_input);
uint8_t get_menu_num_labels(void);

#endif
