#ifndef PROFILES_H_INCLUDED
#define PROFILES_H_INCLUDED

#include "Prometheus.h"

// All kind of availalble LED Profiles
# define PROFILE_AMAZONAS 0
# define PROFILE_PACIFIC 1
# define PROFILE_COLOGNE 2
# define PROFILE_CONGO 3
# define PROFILE_USER_1 4
# define PROFILE_USER_2 5
# define PROFILE_USER_3 6
# define PROFILE_SD_CARD 7

//Different return values of load_profiles function
# define LOAD_SUCCESS 0
# define LOAD_ERROR_GENERIC -1
# define LOAD_ERROR_NOT_FOUND -2
# define LOAD_ERROR_UNDER_CONSTRUCTION  -3

//And return values for the import function
#define IMPORT_SUCCESS 1
#define IMPORT_NO_FILE 2
#define IMPORT_INSUFFICIENT_LENGTH 3

#define CHANNEL_RED   0
#define CHANNEL_GREEN 1
#define CHANNEL_BLUE  2
#define CHANNEL_WHITE 3
 


extern uint8_t current_profile;

/**
 * Loads a given profile into memory.
 */

int8_t load_profile(uint8_t profile);

/**
 * Importing a profile from SD to EEPROM.
 * Parameters:
 * path - Complete path to file on SD Card
 * target_number - 0 to 2 for the three available memory spaces
 * Returns: TRUE if successful
 */
int8_t import_profile(char path[], uint8_t target_number);

/**
 * Gets an dbEntry regarding to a channel and index
 * Channel can be 0 to 3
 * Index can be 0 to 99
 * Returns dbEntry
 */
dbEntry get_entry(uint8_t index);

#endif
