#ifndef _DS1302_
#define _DS1302_

/**
 * This is our own attampt to write a driver for the DS1302
 */

//#include "Prometheus.h"
#define F_CPU 14745600UL
#include <avr/io.h>
#include <avr/delay.h>
#include <inttypes.h>
#include <stdlib.h>

/************************************
 * Here comes the configurable part *
 ************************************/

//Configuring the reset pin
#define PORT_DS_RST		PORTD
#define DDR_DS_RST		DDRD
#define PIN_DS_RST		5

//Configuring the io pin
#define PORT_DS_IO		PORTD
#define INPUT_DS_IO     PIND
#define DDR_DS_IO		DDRD
#define PIN_DS_IO		4

//Configuring the clock pin
#define PORT_DS_CLK		PORTD
#define DDR_DS_CLK		DDRD
#define PIN_DS_CLK		3

/************************************/

typedef struct{
	volatile uint8_t sec;
	volatile uint8_t min;
	volatile uint8_t hrs;
	volatile uint8_t day; //Day of month
	volatile uint8_t month;
	volatile uint8_t dow; //Day of week
	volatile uint16_t year;
	volatile uint8_t dst;
} date;

/**
 * This is the initializer for the DS1302
 */
void ds1302_init(void);

/**
 * This function gets the current date out of the chip
 */
date ds1302_get_date(void);

/**
 * This function sets the given date to the chip
 */
void ds1302_set_date(date new_date);

#endif
