 #ifndef _PWM_
 #define _PWM_

#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>
#include <stdlib.h>
#include <avr/eeprom.h>
#include "drivers/eeprom_extra.h"


#define FALSE (0!=0)
#define TRUE  (0==0)

#define BRIGHTNESS_RED    OCR3A
#define BRIGHTNESS_GREEN  OCR3B
#define BRIGHTNESS_BLUE   OCR3C
#define BRIGHTNESS_WHITE  OCR1A

extern uint8_t auto_off_timeout;

//different brightness levels of LCD display
int8_t current_brightness_index;
#define LCD_BRIGHTNESS_LEVELS 7

void pwm_init(void);
void pwm_set(uint16_t r, uint16_t g, uint16_t b, uint16_t w);

uint8_t pwm_backlight_needs_dimming(void);
void pwm_backlight_raise_idle_time(void);

uint8_t pwm_get_auto_off_idle_timeout(void);
void  pwm_set_auto_off_idle_timeout(uint8_t new_timeout_secs);

void pwm_raise_idle_time(void);
void pwm_reset_idle_time(void);
/*
 * Changes current backlight brigthness to given value and sets it in display.
 * Must be betweenn 0 and (LCD_BRIGHTNESS_LEVELS-1) !
 */
void pwm_backlight_set(uint8_t index);
void pwm_backlight_set_default(uint8_t index);


/*
 * Gets curent value of LCD backlight brightness
 */
int8_t pwm_backlight_get(void);
uint8_t pwm_backlight_get_default(void);

#endif
