#include <avr/io.h>

/**
 * Init mode of PC7 which is connected to the beeper
 */
void beep_init(void){
	PORTC |= (1<<PC7);
	DDRC |= (1<<PC7);
}

/**
 * This method activates the beeper just by setting PC7, which 
 * directly supplies the beeper.
 */
void beep_on(void){
	PORTC &= ~(1<<PC7);
}

/**
 * This method mutes the beeper just by unsetting PC7, which 
 * directly supplies the beeper.
 */
void beep_off(void){
	PORTC |= (1<<PC7);
}
