#ifndef BUTTON_H_
#define BUTTON_H_

#include <avr/io.h>
#include <util/delay.h>

#define BUTTON_PORT		PORTA
#define BUTTON_PIN		PINA
#define BUTTON_DDR		DDRA

#define BUTTON_UP		(1<<PINA0)
#define BUTTON_DOWN		(1<<PINA1)
#define BUTTON_LEFT		(1<<PINA2)
#define BUTTON_RIGHT	(1<<PINA3)
#define BUTTON_CENTER	(1<<PINA4)
#define BUTTON_NONE		0

#define BUTTON_MASK (BUTTON_UP|BUTTON_DOWN|BUTTON_LEFT|BUTTON_RIGHT|BUTTON_CENTER)

void button_init(void);
char button_get_key(void);

#endif
