/***************************************************************************
 *            database.h
 *
 *  Thu Apr 26 10:13:29 2007
 *  Copyright  2007  Oliver Schwaneberg
 *  Oliver.Schwaneberg@hvbg.de
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

 #ifndef _DB_
 #define _DB_
  
 #include "Prometheus.h"

  /**
  * Returns a specified entry
  */
 dbEntry get_eeprom_entry(uint8_t profile, uint8_t index);
 
 void get_profile_name(uint8_t profile, char name[9]);
 void set_profile_name(uint8_t profile, char name[9]);
 	 
 /**
  * Overwrites a certain entry inside the EEPROM
  * 
  * Returns: TRUE if successful
  *          FALSE if index is out of range
  */
 uint8_t storeEntry(uint8_t profile, uint8_t index, dbEntry newEntry);
 
 /**
  * Deletes a profile from the EEPROM
  * 
  * Returns: TRUE if successful
  *          FALSE if index is out of range
  */
 uint8_t deleteProfile(uint8_t index);
 
 #endif
