//*****************************************************************************
//
//  File........: RTC.h
//
//  Author(s)...: ATMEL Norway
//
//  Target(s)...: ATmega169
//
//  Description.: Functions for RTC.c
//
//  Revisions...: 1.0
//
//  YYYYMMDD - VER. - COMMENT                                       - SIGN.
//
//  20021015 - 1.0  - File created                                  - LHM
//  20031009          port to avr-gcc/avr-libc                      - M.Thomas
//  20060602		  Stripped down									- O.Schwaneberg
//
//*****************************************************************************
#ifndef RTC
#define RTC

#include "Prometheus.h"

// Port configuration
#define DCF_PIN  PINC4 //PINB4
#define DCF_PORT PINC //PINB

//int8_t countdown, countdown2, Wcountdown;
extern uint8_t dcfBit;
extern uint8_t dcfByte;

//  Function declarations
void dcf77_init(void);

/**
 * This method to resynchronise the systems clock
 * For timing reasons, the method needs to be called at 60Hz!
 * It calls a system setter to change the time if it is updated.
 */
void dcf77_pulse(void); //Needs to be called at 30Hz

#endif
